Package jebl.evolution.io

# Class ImportException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jebl.evolution.io.ImportException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ImportException.BadFormatException`, `ImportException.DuplicateFieldException`, `ImportException.DuplicateTaxaException`, `ImportException.MissingFieldException`, `ImportException.ShortSequenceException`, `ImportException.TooFewTaxaException`, `ImportException.UnknownTaxonException`, `ImportException.UnparsableDataException`, `NexusImporter.MissingBlockException`

public class ImportException extends Exception

Version:
  $Id: ImportException.java 838 2007-11-09 04:07:00Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ImportException.BadFormatException`
`static class`
`ImportException.DuplicateFieldException`
`static class`
`ImportException.DuplicateTaxaException`
`static class`
`ImportException.MissingFieldException`
`static class`
`ImportException.ShortSequenceException`
`static class`
`ImportException.TooFewTaxaException`
`static class`
`ImportException.UnknownTaxonException`
`static class`
`ImportException.UnparsableDataException`

## Constructor Summary

Constructors
Constructor
Description
`ImportException()`
`ImportException(String message)`
`ImportException(String message, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`userMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImportException

public ImportException()

### ImportException

public ImportException(String message)

### ImportException

public ImportException(String message, Throwable cause)

## Method Details

### userMessage

public String userMessage()